Package org.eclipse.swt.accessibility

# Class AccessibleTableCellAdapter

java.lang.Object
org.eclipse.swt.accessibility.AccessibleTableCellAdapter

All Implemented Interfaces:
  `AccessibleTableCellListener`

public class AccessibleTableCellAdapter extends Object implements AccessibleTableCellListener
This adapter class provides default implementations for the methods in the `AccessibleTableCellListener` interface.

Classes that wish to deal with `AccessibleTableCell` events can extend this class and override only the methods that they are interested in.

Since:
  1.4
See Also:
  - `AccessibleTableCellListener`
  - `AccessibleTableCellEvent`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleTableCellAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getColumnHeaders(AccessibleTableCellEvent e)`
Returns the column headers as an array of cell accessibles.
`void`
`getColumnIndex(AccessibleTableCellEvent e)`
Translates this cell accessible into the corresponding column index.
`void`
`getColumnSpan(AccessibleTableCellEvent e)`
Returns the number of columns occupied by this cell accessible.
`void`
`getRowHeaders(AccessibleTableCellEvent e)`
Returns the row headers as an array of cell accessibles.
`void`
`getRowIndex(AccessibleTableCellEvent e)`
Translates this cell accessible into the corresponding row index.
`void`
`getRowSpan(AccessibleTableCellEvent e)`
Returns the number of rows occupied by this cell accessible.
`void`
`getTable(AccessibleTableCellEvent e)`
Returns the accessible for the table containing this cell.
`void`
`isSelected(AccessibleTableCellEvent e)`
Returns a boolean value indicating whether this cell is selected.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleTableCellAdapter

public AccessibleTableCellAdapter()

## Method Details

### getColumnSpan

public void getColumnSpan(AccessibleTableCellEvent e)
Returns the number of columns occupied by this cell accessible.

This is 1 if the specified cell is only in one column, or more than 1 if the specified cell spans multiple columns.

Specified by:
  `getColumnSpan` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the 1 based number of columns spanned by the specified cell

### getColumnHeaders

public void getColumnHeaders(AccessibleTableCellEvent e)
Returns the column headers as an array of cell accessibles. TODO: doc that this is a more efficient way to get headers of a cell than TableListener.getRow/ColHeaders

Specified by:
  `getColumnHeaders` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of cell accessibles, or null if there are no column headers

### getColumnIndex

public void getColumnIndex(AccessibleTableCellEvent e)
Translates this cell accessible into the corresponding column index.

Specified by:
  `getColumnIndex` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] index - the 0 based column index of the specified cell, or the index of the first column if the cell spans multiple columns

### getRowSpan

public void getRowSpan(AccessibleTableCellEvent e)
Returns the number of rows occupied by this cell accessible.

This is 1 if the specified cell is only in one row, or more than 1 if the specified cell spans multiple rows.

Specified by:
  `getRowSpan` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the 1 based number of rows spanned by the specified cell

### getRowHeaders

public void getRowHeaders(AccessibleTableCellEvent e)
Returns the row headers as an array of cell accessibles. TODO: doc that this is a more efficient way to get headers of a cell than TableListener.getRow/ColHeaders

Specified by:
  `getRowHeaders` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of cell accessibles, or null if there are no row headers

### getRowIndex

public void getRowIndex(AccessibleTableCellEvent e)
Translates this cell accessible into the corresponding row index.

Specified by:
  `getRowIndex` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] index - the 0 based row index of the specified cell, or the index of the first row if the cell spans multiple rows

### getTable

public void getTable(AccessibleTableCellEvent e)
Returns the accessible for the table containing this cell.

Specified by:
  `getTable` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - the accessible for the containing table

### isSelected

public void isSelected(AccessibleTableCellEvent e)
Returns a boolean value indicating whether this cell is selected.

Specified by:
  `isSelected` in interface `AccessibleTableCellListener`
Parameters:
  `e` - an event object containing the following fields:
  - [out] isSelected - true if the specified cell is selected and false otherwise